class ApiException implements Exception {
  const ApiException({
    this.method,
    this.statusCode,
    this.reasonPhrase,
    this.body,
  });

  final String method;
  final int statusCode;
  final String reasonPhrase;
  final String body;

  @override
  String toString() {
    return '[$method] $reasonPhrase($statusCode) - $body';
  }
}
